<?php
define('_IN_JOHNCMS', 1); require_once("../incfiles/core.php");
require_once("manfunc.php");

$land=functions::check($_GET['land']);

$textl=turn($act,0,$land);
require_once("../incfiles/head.php");
function cupvivod($tur)
{
	global $act;
	global $club_id; global $land;
	$q=mysql_query("select * from fman_matches where turn='$act' and tur=$tur and land='$land' order by kom1 asc;");
	if(mysql_num_rows($q))
	{
		echo"<div class='phdr'><b>".strtr($tur,array(11=>'Финал', 121=>'1/2 финала, первые матчи', 122=>'1/2 финала, ответные матчи', 141=>'1/4 финала, первые матчи', 142=>'1/4 финала, ответные матчи', 181=>'1/8 финала, первые матчи', 182=>'1/8 финала, ответные матчи', 1161=>'1/16 финала, первые матчи', 1162=>'1/16 финала, ответные матчи', 12=>'1/2 финала', 14=>'1/4 финала', 18=>'1/8 финала', 1=>'Квалифицированный раунд'))."</b></div>";
		while($a=mysql_fetch_array($q))
		{
			match($a,$club_id,0);
		}
	}
}
function groupvivod($tur)
{
	global $act;
	global $club_id; 
	global $land;
	echo"<div class='phdr'><b>$tur тур</b></div>";
	$q=mysql_query("select * from fman_matches where turn='$act' and tur=$tur and land='$land';");
	while($a=mysql_fetch_array($q))
	{
		match($a,$club_id,0);
	}
}
echo"<h2 align='center'>$textl</h2>";
if($act=="sc" || $act=="supercup")
{
	$q=mysql_query("select * from fman_matches where turn='$act' and land='$land' limit 1;");
	$a=mysql_fetch_array($q);
	if(!mysql_num_rows($q))echo"<p>Матчей нет</p>"; else{match($a,$club_id,0);}
}
if($act=="cup" || ($act=="lc" || $act=="le") && $land=="eu")
{
	cupvivod(11);
	cupvivod(12);
	cupvivod(14); cupvivod(18); cupvivod(121); cupvivod(122); cupvivod(141); cupvivod(142); cupvivod(181); cupvivod(182); cupvivod(1161);
	cupvivod(1162); cupvivod(1);
	if($act=="lc" || $act=="le")echo"<div class='menu'><a href='table.php?act=".$act."&amp;land=a'>Группа A</a><br/>
	<a href='table.php?act=".$act."&amp;land=b'>Группа B</a><br/>
	<a href='table.php?act=".$act."&amp;land=c'>Группа C</a><br/>
	<a href='table.php?act=".$act."&amp;land=d'>Группа D</a><br/>
	<a href='table.php?act=".$act."&amp;land=e'>Группа E</a><br/>
	<a href='table.php?act=".$act."&amp;land=f'>Группа F</a><br/>
	<a href='table.php?act=".$act."&amp;land=g'>Группа G</a><br/>
	<a href='table.php?act=".$act."&amp;land=h'>Группа H</a><br/>";
	if($act=="le")echo"<a href='table.php?act=le&amp;land=i'>Группа I</a><br/>
	<a href='table.php?act=le&amp;land=j'>Группа J</a><br/>
	<a href='table.php?act=le&amp;land=k'>Группа K</a><br/>
	<a href='table.php?act=le&amp;land=l'>Группа L</a>";
	if($act=="lc" || $act=="le")echo"</div>";
}
if(($act=="lc" || $act=="le") && $land!="eu")
{
	$tab="Таблица";
	$qtb=mysql_query("select id1, id2 from fman_matches where turn='$act' and tur=1 and land='$land';");
	$n=1;
	while($atb=mysql_fetch_array($qtb))
	{
		$uch[$n]=$atb[id1];
		$c=$n+1;
		$uch[$c]=$atb[id2];
		$n=$n+2;
	}
	$qtab=mysql_query("select u2, u3, u4 from fman_clubs where id=$uch[1];");
	$atab=mysql_fetch_array($qtab);
	$tour=$atab[u2]+$atab[u3]+$atab[u4];
	if($tour>0)$tab.=". $tour тур";
	echo"<div class='phdr'>$tab</div><table><tr><td></td><td class='bmenu'>В</td><td class='bmenu'>Н</td><td class='bmenu'>П</td><td class='bmenu'>Г</td><td class='bmenu'>О</td></tr>";
	$q=mysql_query("select * from fman_clubs where id=$uch[1] or id=$uch[2] or id=$uch[3] or id=$uch[4] order by u7 desc;");
	$i=0;
	while($a=mysql_fetch_array($q))
	{
		$i=$i+1;
		echo"<tr><td class='list2'>$i. ";
		if($a[id]!=$club_id)echo"<a href='club.php?id=$a[id]'>$a[name]</a>"; else echo"<b>$a[name]</b>";
		echo"</td><td class='menu'>$a[u2]</td><td class='menu'>$a[u3]</td><td class='menu'>$a[u4]</td><td class='menu'>$a[u5]-$a[u6]</td><td class='menu'>$a[u7]</td></tr>";
	}
	echo"</table>";
	groupvivod(1);
	groupvivod(2); groupvivod(3); groupvivod(4); groupvivod(5); groupvivod(6);
	if($act=="lc")echo"<div class='phdr'><a href='table.php?act=lc'>Лига Чемпионов</a></div>"; else
	echo"<div class='phdr'><a href='table.php?act=le'>Лига Европы</a></div>";
}
if($act=="champ")
{
	$tab="Таблица";
	$qtab=mysql_query("select v, n, p from fman_clubs where land='$land' limit 1;");
	$atab=mysql_fetch_array($qtab);
	$tour=$atab[v]+$atab[n]+$atab[p];
	if($tour>0)$tab.=". $tour тур";
	echo"<div class='phdr'>$tab</div><table><tr><td></td><td class='bmenu'>В</td><td class='bmenu'>Н</td><td class='bmenu'>П</td><td class='bmenu'>Г</td><td class='bmenu'>О</td></tr>";
	$q=mysql_query("select * from fman_clubs where land='$land' order by o desc;");
	$i=0;
	while($a=mysql_fetch_array($q))
	{
		$i=$i+1;
		echo"<tr><td class='list2'>$i. ";
		if($a[id]!=$club_id)echo"<a href='club.php?id=$a[id]'>$a[name]</a>"; else echo"<b>$a[name]</b>";
		echo"</td><td class='menu'>$a[v]</td><td class='menu'>$a[n]</td><td class='menu'>$a[p]</td><td class='menu'>$a[zg]-$a[pg]</td><td class='menu'>$a[o]</td></tr>";
	}
	echo"</table>";
	$turb=$tour+1;
	$qp=mysql_query("select * from fman_matches where turn='$act' and tur=$tour and land='$land' order by kom1 asc;");
	if(mysql_num_rows($qp))
	{
		echo"<div class='phdr'>Последние матчи, $tour тур</div>";
		while($ap=mysql_fetch_array($qp))
		{
			match($ap,$club_id,0);
		}
	}
	$qb=mysql_query("select * from fman_matches where turn='$act' and tur=$turb and land='$land' order by kom1 asc;");
	if(mysql_num_rows($qb))
	{
		echo"<div class='phdr'>Ближайшие матчи, $turb тур</div>";
		while($aa=mysql_fetch_array($qb))
		{
			match($aa,$club_id,0);
		}
	}
	echo"<div class='phdr'>Календарь/Результаты</div><div class='menu'>";
	$kon=39;
	if($land=="ru" || $land=="ua" || $land=="pt")$kon=31;
	if($land=="de" || $land=="nl")$kon=35;
	if($land=="by")$kon=34;
	for($i=1;$i<$kon;$i++)echo"<a href='matches.php?act=$land&amp;tur=$i'>$i тур</a><br/>";
	echo"</div>";
}
echo"<div class='phdr'><a href='index.php'>Фут.менеджер</a></div>";
require_once("../incfiles/end.php"); 
?>
